Get platform historical liquidity or volume data
curl --request GET \
--url https://api.saucerswap.finance/stats/platformData \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.saucerswap.finance/stats/platformData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.saucerswap.finance/stats/platformData"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"valueHbar": 46701854905030720,
"timestampSeconds": 1697598000
}
]Stats
REST API: Platform liquidity and volume history
Query historical platform-wide liquidity or volume in tinybar over hourly, daily, or weekly intervals between two unix-second timestamps you choose.
GET
/
stats
/
platformData
Get platform historical liquidity or volume data
curl --request GET \
--url https://api.saucerswap.finance/stats/platformData \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.saucerswap.finance/stats/platformData', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.saucerswap.finance/stats/platformData"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"valueHbar": 46701854905030720,
"timestampSeconds": 1697598000
}
]Authorizations
API key provisioned by the SaucerSwap team. Request one from [email protected] and send it in the x-api-key header with every request.
Headers
API key for authentication. Request a key from [email protected].
Example:
"YOUR_API_KEY"
Query Parameters
From unix seconds
Example:
1697600000
To unix seconds
Example:
1697610000
Data interval
Available options:
HOUR, DAY, WEEK Example:
"HOUR"
Data type
Available options:
LIQUIDITY, VOLUME Example:
"LIQUIDITY"
Was this page helpful?